List recommendations
curl --request GET \
--url https://api.nops.io/v1/recommendations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/recommendations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/recommendations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"recommendation_id": "rec-ec2-rightsize-001",
"recommendation_name": "Rightsize underutilized EC2 instances",
"estimated_monthly_savings": 842.5,
"implementation_effort": "Low",
"category": "Compute",
"action_type": "Rightsize",
"account_name": "Production",
"region": "us-east-1",
"resource_id": "i-0abc123def456"
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": null,
"total": 1
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Recommendations
List recommendations
Returns cost optimization recommendations for your organization, highest estimated monthly savings first. Repeatable filters match any of their values. pagination.total is the number of matching recommendations.
GET
https://api.nops.io
/
v1
/
recommendations
List recommendations
curl --request GET \
--url https://api.nops.io/v1/recommendations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/recommendations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/recommendations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"recommendation_id": "rec-ec2-rightsize-001",
"recommendation_name": "Rightsize underutilized EC2 instances",
"estimated_monthly_savings": 842.5,
"implementation_effort": "Low",
"category": "Compute",
"action_type": "Rightsize",
"account_name": "Production",
"region": "us-east-1",
"resource_id": "i-0abc123def456"
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": null,
"total": 1
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
Query Parameters
Was this page helpful?